MessageInfoImpl (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.authenticator.jaspic

## Class MessageInfoImpl

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.MessageInfoImpl

- All Implemented Interfaces:
    MessageInfo

      public class MessageInfoImpl
      extends Object
      implements MessageInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IS_MANDATORY`
    `protected static StringManager` | `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageInfoImpl()`
    `MessageInfoImpl(HttpServletRequest request, HttpServletResponse response, boolean authMandatory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map` | `getMap()`
    `Object` | `getRequestMessage()`
    `Object` | `getResponseMessage()`
    `void` | `setRequestMessage(Object request)`
    `void` | `setResponseMessage(Object response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

    - #### IS_MANDATORY

          public static final String IS_MANDATORY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageInfoImpl

          public MessageInfoImpl()

    - #### MessageInfoImpl

          public MessageInfoImpl(HttpServletRequest request,
                                 HttpServletResponse response,
                                 boolean authMandatory)

  - ### Method Detail

    - #### getMap

          public Map getMap()

      Specified by:
        `getMap` in interface `MessageInfo`

    - #### getRequestMessage

          public Object getRequestMessage()

      Specified by:
        `getRequestMessage` in interface `MessageInfo`

    - #### getResponseMessage

          public Object getResponseMessage()

      Specified by:
        `getResponseMessage` in interface `MessageInfo`

    - #### setRequestMessage

          public void setRequestMessage(Object request)

      Specified by:
        `setRequestMessage` in interface `MessageInfo`

    - #### setResponseMessage

          public void setResponseMessage(Object response)

      Specified by:
        `setResponseMessage` in interface `MessageInfo`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.